# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'quality/ui_quality_widget.ui'
#
# Created: Fri Mar 11 11:06:34 2016
#      by: PyQt4 UI code generator 4.9.1
#
# WARNING! All changes made in this file will be lost!

from PyQt4 import QtCore, QtGui

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    _fromUtf8 = lambda s: s

class Ui_qualMeshQt(object):
    def setupUi(self, qualMeshQt):
        qualMeshQt.setObjectName(_fromUtf8("qualMeshQt"))
        qualMeshQt.resize(1100, 700)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.MinimumExpanding, QtGui.QSizePolicy.MinimumExpanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(qualMeshQt.sizePolicy().hasHeightForWidth())
        qualMeshQt.setSizePolicy(sizePolicy)
        qualMeshQt.setMinimumSize(QtCore.QSize(1100, 700))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(_fromUtf8(":/plugins/BASEmesh/icons/qual_meshing.svg")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        qualMeshQt.setWindowIcon(icon)
        self.verticalLayout_5 = QtGui.QVBoxLayout(qualMeshQt)
        self.verticalLayout_5.setObjectName(_fromUtf8("verticalLayout_5"))
        self.horizontalLayout_13 = QtGui.QHBoxLayout()
        self.horizontalLayout_13.setObjectName(_fromUtf8("horizontalLayout_13"))
        self.verticalLayout_4 = QtGui.QVBoxLayout()
        self.verticalLayout_4.setObjectName(_fromUtf8("verticalLayout_4"))
        self.groupInput = QtGui.QGroupBox(qualMeshQt)
        self.groupInput.setEnabled(True)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupInput.sizePolicy().hasHeightForWidth())
        self.groupInput.setSizePolicy(sizePolicy)
        self.groupInput.setMinimumSize(QtCore.QSize(500, 487))
        self.groupInput.setMaximumSize(QtCore.QSize(800, 16777215))
        self.groupInput.setFlat(False)
        self.groupInput.setObjectName(_fromUtf8("groupInput"))
        self.gridLayout_3 = QtGui.QGridLayout(self.groupInput)
        self.gridLayout_3.setObjectName(_fromUtf8("gridLayout_3"))
        self.verticalLayout = QtGui.QVBoxLayout()
        self.verticalLayout.setObjectName(_fromUtf8("verticalLayout"))
        self.groupCompulsory = QtGui.QGroupBox(self.groupInput)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupCompulsory.sizePolicy().hasHeightForWidth())
        self.groupCompulsory.setSizePolicy(sizePolicy)
        self.groupCompulsory.setMinimumSize(QtCore.QSize(460, 60))
        self.groupCompulsory.setObjectName(_fromUtf8("groupCompulsory"))
        self.gridLayout_2 = QtGui.QGridLayout(self.groupCompulsory)
        self.gridLayout_2.setObjectName(_fromUtf8("gridLayout_2"))
        self.labelBoundary = QtGui.QLabel(self.groupCompulsory)
        self.labelBoundary.setMinimumSize(QtCore.QSize(110, 0))
        self.labelBoundary.setObjectName(_fromUtf8("labelBoundary"))
        self.gridLayout_2.addWidget(self.labelBoundary, 0, 0, 1, 1)
        self.boundaryComboBox = QtGui.QComboBox(self.groupCompulsory)
        self.boundaryComboBox.setMinimumSize(QtCore.QSize(200, 0))
        self.boundaryComboBox.setSizeAdjustPolicy(QtGui.QComboBox.AdjustToMinimumContentsLength)
        self.boundaryComboBox.setMinimumContentsLength(200)
        self.boundaryComboBox.setObjectName(_fromUtf8("boundaryComboBox"))
        self.gridLayout_2.addWidget(self.boundaryComboBox, 0, 1, 1, 1)
        self.verticalLayout.addWidget(self.groupCompulsory)
        self.groupOptional = QtGui.QGroupBox(self.groupInput)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupOptional.sizePolicy().hasHeightForWidth())
        self.groupOptional.setSizePolicy(sizePolicy)
        self.groupOptional.setMinimumSize(QtCore.QSize(460, 0))
        self.groupOptional.setObjectName(_fromUtf8("groupOptional"))
        self.verticalLayout_6 = QtGui.QVBoxLayout(self.groupOptional)
        self.verticalLayout_6.setObjectName(_fromUtf8("verticalLayout_6"))
        self.horizontalLayout_14 = QtGui.QHBoxLayout()
        self.horizontalLayout_14.setObjectName(_fromUtf8("horizontalLayout_14"))
        self.breaklinesCheckBox = QtGui.QCheckBox(self.groupOptional)
        self.breaklinesCheckBox.setMinimumSize(QtCore.QSize(110, 0))
        self.breaklinesCheckBox.setObjectName(_fromUtf8("breaklinesCheckBox"))
        self.horizontalLayout_14.addWidget(self.breaklinesCheckBox)
        self.breaklinesComboBox = QtGui.QComboBox(self.groupOptional)
        self.breaklinesComboBox.setEnabled(False)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.MinimumExpanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.breaklinesComboBox.sizePolicy().hasHeightForWidth())
        self.breaklinesComboBox.setSizePolicy(sizePolicy)
        self.breaklinesComboBox.setMinimumSize(QtCore.QSize(200, 0))
        self.breaklinesComboBox.setObjectName(_fromUtf8("breaklinesComboBox"))
        self.horizontalLayout_14.addWidget(self.breaklinesComboBox)
        self.verticalLayout_6.addLayout(self.horizontalLayout_14)
        self.horizontalLayout_16 = QtGui.QHBoxLayout()
        self.horizontalLayout_16.setObjectName(_fromUtf8("horizontalLayout_16"))
        spacerItem = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.MinimumExpanding, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_16.addItem(spacerItem)
        self.breaklinesDivCheckBox = QtGui.QCheckBox(self.groupOptional)
        self.breaklinesDivCheckBox.setEnabled(False)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.breaklinesDivCheckBox.sizePolicy().hasHeightForWidth())
        self.breaklinesDivCheckBox.setSizePolicy(sizePolicy)
        self.breaklinesDivCheckBox.setMinimumSize(QtCore.QSize(160, 0))
        self.breaklinesDivCheckBox.setObjectName(_fromUtf8("breaklinesDivCheckBox"))
        self.horizontalLayout_16.addWidget(self.breaklinesDivCheckBox)
        self.breaklinesDivComboBox = QtGui.QComboBox(self.groupOptional)
        self.breaklinesDivComboBox.setEnabled(False)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.MinimumExpanding, QtGui.QSizePolicy.MinimumExpanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.breaklinesDivComboBox.sizePolicy().hasHeightForWidth())
        self.breaklinesDivComboBox.setSizePolicy(sizePolicy)
        self.breaklinesDivComboBox.setMinimumSize(QtCore.QSize(250, 0))
        self.breaklinesDivComboBox.setObjectName(_fromUtf8("breaklinesDivComboBox"))
        self.horizontalLayout_16.addWidget(self.breaklinesDivComboBox)
        self.verticalLayout_6.addLayout(self.horizontalLayout_16)
        self.horizontalLayout_9 = QtGui.QHBoxLayout()
        self.horizontalLayout_9.setObjectName(_fromUtf8("horizontalLayout_9"))
        self.regionCheckBox = QtGui.QCheckBox(self.groupOptional)
        self.regionCheckBox.setMinimumSize(QtCore.QSize(110, 0))
        self.regionCheckBox.setChecked(False)
        self.regionCheckBox.setObjectName(_fromUtf8("regionCheckBox"))
        self.horizontalLayout_9.addWidget(self.regionCheckBox)
        self.regionComboBox = QtGui.QComboBox(self.groupOptional)
        self.regionComboBox.setEnabled(False)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.MinimumExpanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.regionComboBox.sizePolicy().hasHeightForWidth())
        self.regionComboBox.setSizePolicy(sizePolicy)
        self.regionComboBox.setMinimumSize(QtCore.QSize(200, 0))
        self.regionComboBox.setObjectName(_fromUtf8("regionComboBox"))
        self.horizontalLayout_9.addWidget(self.regionComboBox)
        self.verticalLayout_6.addLayout(self.horizontalLayout_9)
        self.horizontalLayout_10 = QtGui.QHBoxLayout()
        self.horizontalLayout_10.setObjectName(_fromUtf8("horizontalLayout_10"))
        spacerItem1 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.MinimumExpanding, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_10.addItem(spacerItem1)
        self.areaCheckBox = QtGui.QCheckBox(self.groupOptional)
        self.areaCheckBox.setEnabled(False)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.areaCheckBox.sizePolicy().hasHeightForWidth())
        self.areaCheckBox.setSizePolicy(sizePolicy)
        self.areaCheckBox.setMinimumSize(QtCore.QSize(160, 0))
        self.areaCheckBox.setCheckable(True)
        self.areaCheckBox.setObjectName(_fromUtf8("areaCheckBox"))
        self.horizontalLayout_10.addWidget(self.areaCheckBox)
        self.areaComboBox = QtGui.QComboBox(self.groupOptional)
        self.areaComboBox.setEnabled(False)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.MinimumExpanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.areaComboBox.sizePolicy().hasHeightForWidth())
        self.areaComboBox.setSizePolicy(sizePolicy)
        self.areaComboBox.setMinimumSize(QtCore.QSize(250, 0))
        self.areaComboBox.setSizeAdjustPolicy(QtGui.QComboBox.AdjustToContents)
        self.areaComboBox.setObjectName(_fromUtf8("areaComboBox"))
        self.horizontalLayout_10.addWidget(self.areaComboBox)
        self.verticalLayout_6.addLayout(self.horizontalLayout_10)
        self.horizontalLayout_20 = QtGui.QHBoxLayout()
        self.horizontalLayout_20.setObjectName(_fromUtf8("horizontalLayout_20"))
        spacerItem2 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.MinimumExpanding, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_20.addItem(spacerItem2)
        self.materialCheckBox = QtGui.QCheckBox(self.groupOptional)
        self.materialCheckBox.setEnabled(False)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.materialCheckBox.sizePolicy().hasHeightForWidth())
        self.materialCheckBox.setSizePolicy(sizePolicy)
        self.materialCheckBox.setMinimumSize(QtCore.QSize(160, 0))
        self.materialCheckBox.setObjectName(_fromUtf8("materialCheckBox"))
        self.horizontalLayout_20.addWidget(self.materialCheckBox)
        self.materialComboBox = QtGui.QComboBox(self.groupOptional)
        self.materialComboBox.setEnabled(False)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.MinimumExpanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.materialComboBox.sizePolicy().hasHeightForWidth())
        self.materialComboBox.setSizePolicy(sizePolicy)
        self.materialComboBox.setMinimumSize(QtCore.QSize(250, 0))
        self.materialComboBox.setSizeAdjustPolicy(QtGui.QComboBox.AdjustToContents)
        self.materialComboBox.setObjectName(_fromUtf8("materialComboBox"))
        self.horizontalLayout_20.addWidget(self.materialComboBox)
        self.verticalLayout_6.addLayout(self.horizontalLayout_20)
        self.horizontalLayout_4 = QtGui.QHBoxLayout()
        self.horizontalLayout_4.setObjectName(_fromUtf8("horizontalLayout_4"))
        spacerItem3 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.MinimumExpanding, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_4.addItem(spacerItem3)
        self.holesCheckBox = QtGui.QCheckBox(self.groupOptional)
        self.holesCheckBox.setEnabled(False)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.holesCheckBox.sizePolicy().hasHeightForWidth())
        self.holesCheckBox.setSizePolicy(sizePolicy)
        self.holesCheckBox.setMinimumSize(QtCore.QSize(160, 0))
        self.holesCheckBox.setObjectName(_fromUtf8("holesCheckBox"))
        self.horizontalLayout_4.addWidget(self.holesCheckBox)
        self.holesComboBox = QtGui.QComboBox(self.groupOptional)
        self.holesComboBox.setEnabled(False)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.MinimumExpanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.holesComboBox.sizePolicy().hasHeightForWidth())
        self.holesComboBox.setSizePolicy(sizePolicy)
        self.holesComboBox.setMinimumSize(QtCore.QSize(250, 0))
        self.holesComboBox.setObjectName(_fromUtf8("holesComboBox"))
        self.horizontalLayout_4.addWidget(self.holesComboBox)
        self.verticalLayout_6.addLayout(self.horizontalLayout_4)
        self.horizontalLayout_8 = QtGui.QHBoxLayout()
        self.horizontalLayout_8.setObjectName(_fromUtf8("horizontalLayout_8"))
        self.verticesCheckBox = QtGui.QCheckBox(self.groupOptional)
        self.verticesCheckBox.setMinimumSize(QtCore.QSize(110, 0))
        self.verticesCheckBox.setObjectName(_fromUtf8("verticesCheckBox"))
        self.horizontalLayout_8.addWidget(self.verticesCheckBox)
        self.verticesComboBox = QtGui.QComboBox(self.groupOptional)
        self.verticesComboBox.setEnabled(False)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.MinimumExpanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.verticesComboBox.sizePolicy().hasHeightForWidth())
        self.verticesComboBox.setSizePolicy(sizePolicy)
        self.verticesComboBox.setMinimumSize(QtCore.QSize(200, 0))
        self.verticesComboBox.setObjectName(_fromUtf8("verticesComboBox"))
        self.horizontalLayout_8.addWidget(self.verticesComboBox)
        self.verticalLayout_6.addLayout(self.horizontalLayout_8)
        self.verticalLayout.addWidget(self.groupOptional)
        self.groupTriangle = QtGui.QGroupBox(self.groupInput)
        self.groupTriangle.setObjectName(_fromUtf8("groupTriangle"))
        self.formLayout = QtGui.QFormLayout(self.groupTriangle)
        self.formLayout.setFieldGrowthPolicy(QtGui.QFormLayout.AllNonFixedFieldsGrow)
        self.formLayout.setObjectName(_fromUtf8("formLayout"))
        self.horizontalLayout_3 = QtGui.QHBoxLayout()
        self.horizontalLayout_3.setObjectName(_fromUtf8("horizontalLayout_3"))
        self.triangleVerboseCheckBox = QtGui.QCheckBox(self.groupTriangle)
        self.triangleVerboseCheckBox.setObjectName(_fromUtf8("triangleVerboseCheckBox"))
        self.horizontalLayout_3.addWidget(self.triangleVerboseCheckBox)
        self.formLayout.setLayout(1, QtGui.QFormLayout.FieldRole, self.horizontalLayout_3)
        self.horizontalLayout_7 = QtGui.QHBoxLayout()
        self.horizontalLayout_7.setObjectName(_fromUtf8("horizontalLayout_7"))
        self.triangleDelaunayCheckBox = QtGui.QCheckBox(self.groupTriangle)
        self.triangleDelaunayCheckBox.setObjectName(_fromUtf8("triangleDelaunayCheckBox"))
        self.horizontalLayout_7.addWidget(self.triangleDelaunayCheckBox)
        self.formLayout.setLayout(2, QtGui.QFormLayout.FieldRole, self.horizontalLayout_7)
        self.horizontalLayout_6 = QtGui.QHBoxLayout()
        self.horizontalLayout_6.setObjectName(_fromUtf8("horizontalLayout_6"))
        self.triangleQualityCheckBox = QtGui.QCheckBox(self.groupTriangle)
        self.triangleQualityCheckBox.setObjectName(_fromUtf8("triangleQualityCheckBox"))
        self.horizontalLayout_6.addWidget(self.triangleQualityCheckBox)
        self.formLayout.setLayout(3, QtGui.QFormLayout.FieldRole, self.horizontalLayout_6)
        self.horizontalLayout_5 = QtGui.QHBoxLayout()
        self.horizontalLayout_5.setObjectName(_fromUtf8("horizontalLayout_5"))
        self.labelMaxArea = QtGui.QLabel(self.groupTriangle)
        self.labelMaxArea.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.labelMaxArea.setObjectName(_fromUtf8("labelMaxArea"))
        self.horizontalLayout_5.addWidget(self.labelMaxArea)
        self.minimumAngleSpinBox = QtGui.QSpinBox(self.groupTriangle)
        self.minimumAngleSpinBox.setEnabled(False)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.minimumAngleSpinBox.sizePolicy().hasHeightForWidth())
        self.minimumAngleSpinBox.setSizePolicy(sizePolicy)
        self.minimumAngleSpinBox.setMinimumSize(QtCore.QSize(50, 0))
        self.minimumAngleSpinBox.setAlignment(QtCore.Qt.AlignCenter)
        self.minimumAngleSpinBox.setProperty("value", 28)
        self.minimumAngleSpinBox.setObjectName(_fromUtf8("minimumAngleSpinBox"))
        self.horizontalLayout_5.addWidget(self.minimumAngleSpinBox)
        self.formLayout.setLayout(4, QtGui.QFormLayout.FieldRole, self.horizontalLayout_5)
        self.horizontalLayout_2 = QtGui.QHBoxLayout()
        self.horizontalLayout_2.setObjectName(_fromUtf8("horizontalLayout_2"))
        self.triangleSteinerCheckBox = QtGui.QCheckBox(self.groupTriangle)
        self.triangleSteinerCheckBox.setObjectName(_fromUtf8("triangleSteinerCheckBox"))
        self.horizontalLayout_2.addWidget(self.triangleSteinerCheckBox)
        self.formLayout.setLayout(5, QtGui.QFormLayout.FieldRole, self.horizontalLayout_2)
        self.horizontalLayout_11 = QtGui.QHBoxLayout()
        self.horizontalLayout_11.setObjectName(_fromUtf8("horizontalLayout_11"))
        self.expertCheckBox = QtGui.QCheckBox(self.groupTriangle)
        self.expertCheckBox.setObjectName(_fromUtf8("expertCheckBox"))
        self.horizontalLayout_11.addWidget(self.expertCheckBox)
        self.expertLineEdit = QtGui.QLineEdit(self.groupTriangle)
        self.expertLineEdit.setEnabled(False)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.expertLineEdit.sizePolicy().hasHeightForWidth())
        self.expertLineEdit.setSizePolicy(sizePolicy)
        self.expertLineEdit.setMinimumSize(QtCore.QSize(180, 0))
        self.expertLineEdit.setObjectName(_fromUtf8("expertLineEdit"))
        self.horizontalLayout_11.addWidget(self.expertLineEdit)
        self.formLayout.setLayout(6, QtGui.QFormLayout.FieldRole, self.horizontalLayout_11)
        self.horizontalLayout_19 = QtGui.QHBoxLayout()
        self.horizontalLayout_19.setObjectName(_fromUtf8("horizontalLayout_19"))
        self.snappingToleranceCheckBox = QtGui.QCheckBox(self.groupTriangle)
        self.snappingToleranceCheckBox.setChecked(False)
        self.snappingToleranceCheckBox.setObjectName(_fromUtf8("snappingToleranceCheckBox"))
        self.horizontalLayout_19.addWidget(self.snappingToleranceCheckBox)
        self.snappingToleranceSpinBox = QtGui.QSpinBox(self.groupTriangle)
        self.snappingToleranceSpinBox.setEnabled(True)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.snappingToleranceSpinBox.sizePolicy().hasHeightForWidth())
        self.snappingToleranceSpinBox.setSizePolicy(sizePolicy)
        self.snappingToleranceSpinBox.setMinimumSize(QtCore.QSize(50, 0))
        self.snappingToleranceSpinBox.setAlignment(QtCore.Qt.AlignCenter)
        self.snappingToleranceSpinBox.setReadOnly(True)
        self.snappingToleranceSpinBox.setAccelerated(True)
        self.snappingToleranceSpinBox.setMinimum(-18)
        self.snappingToleranceSpinBox.setMaximum(-1)
        self.snappingToleranceSpinBox.setProperty("value", -6)
        self.snappingToleranceSpinBox.setObjectName(_fromUtf8("snappingToleranceSpinBox"))
        self.horizontalLayout_19.addWidget(self.snappingToleranceSpinBox)
        self.formLayout.setLayout(7, QtGui.QFormLayout.FieldRole, self.horizontalLayout_19)
        self.verticalLayout.addWidget(self.groupTriangle)
        self.gridLayout_3.addLayout(self.verticalLayout, 0, 0, 1, 1)
        self.verticalLayout_4.addWidget(self.groupInput)
        spacerItem4 = QtGui.QSpacerItem(20, 40, QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Expanding)
        self.verticalLayout_4.addItem(spacerItem4)
        self.horizontalLayout_13.addLayout(self.verticalLayout_4)
        self.tabWidget_2 = QtGui.QTabWidget(qualMeshQt)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.tabWidget_2.sizePolicy().hasHeightForWidth())
        self.tabWidget_2.setSizePolicy(sizePolicy)
        self.tabWidget_2.setMinimumSize(QtCore.QSize(530, 490))
        self.tabWidget_2.setObjectName(_fromUtf8("tabWidget_2"))
        self.tab_3 = QtGui.QWidget()
        self.tab_3.setObjectName(_fromUtf8("tab_3"))
        self.horizontalLayout_12 = QtGui.QHBoxLayout(self.tab_3)
        self.horizontalLayout_12.setObjectName(_fromUtf8("horizontalLayout_12"))
        self.textStatusBox = QtGui.QTextEdit(self.tab_3)
        self.textStatusBox.setObjectName(_fromUtf8("textStatusBox"))
        self.horizontalLayout_12.addWidget(self.textStatusBox)
        self.tabWidget_2.addTab(self.tab_3, _fromUtf8(""))
        self.tab_4 = QtGui.QWidget()
        self.tab_4.setObjectName(_fromUtf8("tab_4"))
        self.horizontalLayout = QtGui.QHBoxLayout(self.tab_4)
        self.horizontalLayout.setObjectName(_fromUtf8("horizontalLayout"))
        self.textBrowser = QtGui.QTextBrowser(self.tab_4)
        self.textBrowser.setOpenExternalLinks(True)
        self.textBrowser.setObjectName(_fromUtf8("textBrowser"))
        self.horizontalLayout.addWidget(self.textBrowser)
        self.tabWidget_2.addTab(self.tab_4, _fromUtf8(""))
        self.horizontalLayout_13.addWidget(self.tabWidget_2)
        self.verticalLayout_5.addLayout(self.horizontalLayout_13)
        self.groupOutput = QtGui.QGroupBox(qualMeshQt)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(2)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupOutput.sizePolicy().hasHeightForWidth())
        self.groupOutput.setSizePolicy(sizePolicy)
        self.groupOutput.setObjectName(_fromUtf8("groupOutput"))
        self.verticalLayout_3 = QtGui.QVBoxLayout(self.groupOutput)
        self.verticalLayout_3.setObjectName(_fromUtf8("verticalLayout_3"))
        self.horizontalLayout_15 = QtGui.QHBoxLayout()
        self.horizontalLayout_15.setObjectName(_fromUtf8("horizontalLayout_15"))
        self.outputShapeLineEdit = QtGui.QLineEdit(self.groupOutput)
        self.outputShapeLineEdit.setReadOnly(True)
        self.outputShapeLineEdit.setObjectName(_fromUtf8("outputShapeLineEdit"))
        self.horizontalLayout_15.addWidget(self.outputShapeLineEdit)
        self.browseButton = QtGui.QPushButton(self.groupOutput)
        self.browseButton.setObjectName(_fromUtf8("browseButton"))
        self.horizontalLayout_15.addWidget(self.browseButton)
        self.verticalLayout_3.addLayout(self.horizontalLayout_15)
        self.horizontalLayout_17 = QtGui.QHBoxLayout()
        self.horizontalLayout_17.setObjectName(_fromUtf8("horizontalLayout_17"))
        self.loadMeshPolygonCheckBox = QtGui.QCheckBox(self.groupOutput)
        self.loadMeshPolygonCheckBox.setObjectName(_fromUtf8("loadMeshPolygonCheckBox"))
        self.horizontalLayout_17.addWidget(self.loadMeshPolygonCheckBox)
        self.loadMeshPointsCheckBox = QtGui.QCheckBox(self.groupOutput)
        self.loadMeshPointsCheckBox.setObjectName(_fromUtf8("loadMeshPointsCheckBox"))
        self.horizontalLayout_17.addWidget(self.loadMeshPointsCheckBox)
        self.deltempCheckBox = QtGui.QCheckBox(self.groupOutput)
        self.deltempCheckBox.setObjectName(_fromUtf8("deltempCheckBox"))
        self.horizontalLayout_17.addWidget(self.deltempCheckBox)
        self.verticalLayout_3.addLayout(self.horizontalLayout_17)
        self.horizontalLayout_18 = QtGui.QHBoxLayout()
        self.horizontalLayout_18.setObjectName(_fromUtf8("horizontalLayout_18"))
        self.progressBar = QtGui.QProgressBar(self.groupOutput)
        self.progressBar.setProperty("value", 0)
        self.progressBar.setObjectName(_fromUtf8("progressBar"))
        self.horizontalLayout_18.addWidget(self.progressBar)
        self.cancelButton = QtGui.QPushButton(self.groupOutput)
        self.cancelButton.setObjectName(_fromUtf8("cancelButton"))
        self.horizontalLayout_18.addWidget(self.cancelButton)
        self.generateButton = QtGui.QPushButton(self.groupOutput)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.generateButton.setFont(font)
        self.generateButton.setObjectName(_fromUtf8("generateButton"))
        self.horizontalLayout_18.addWidget(self.generateButton)
        self.verticalLayout_3.addLayout(self.horizontalLayout_18)
        self.verticalLayout_5.addWidget(self.groupOutput)

        self.retranslateUi(qualMeshQt)
        self.tabWidget_2.setCurrentIndex(0)
        QtCore.QObject.connect(self.textBrowser, QtCore.SIGNAL(_fromUtf8("anchorClicked(QUrl)")), self.textBrowser.reload)
        QtCore.QObject.connect(self.expertCheckBox, QtCore.SIGNAL(_fromUtf8("toggled(bool)")), self.expertLineEdit.setEnabled)
        QtCore.QObject.connect(self.triangleQualityCheckBox, QtCore.SIGNAL(_fromUtf8("toggled(bool)")), self.minimumAngleSpinBox.setEnabled)
        QtCore.QObject.connect(self.regionCheckBox, QtCore.SIGNAL(_fromUtf8("toggled(bool)")), self.regionComboBox.setEnabled)
        QtCore.QObject.connect(self.areaCheckBox, QtCore.SIGNAL(_fromUtf8("toggled(bool)")), self.areaComboBox.setEnabled)
        QtCore.QObject.connect(self.materialCheckBox, QtCore.SIGNAL(_fromUtf8("toggled(bool)")), self.materialComboBox.setEnabled)
        QtCore.QObject.connect(self.holesCheckBox, QtCore.SIGNAL(_fromUtf8("toggled(bool)")), self.holesComboBox.setEnabled)
        QtCore.QObject.connect(self.verticesCheckBox, QtCore.SIGNAL(_fromUtf8("toggled(bool)")), self.verticesComboBox.setEnabled)
        QtCore.QObject.connect(self.breaklinesCheckBox, QtCore.SIGNAL(_fromUtf8("toggled(bool)")), self.breaklinesComboBox.setEnabled)
        QtCore.QObject.connect(self.generateButton, QtCore.SIGNAL(_fromUtf8("clicked()")), qualMeshQt.accept)
        QtCore.QObject.connect(self.cancelButton, QtCore.SIGNAL(_fromUtf8("clicked()")), qualMeshQt.reject)
        QtCore.QObject.connect(self.breaklinesDivCheckBox, QtCore.SIGNAL(_fromUtf8("toggled(bool)")), self.breaklinesDivComboBox.setEnabled)
        QtCore.QMetaObject.connectSlotsByName(qualMeshQt)

    def retranslateUi(self, qualMeshQt):
        qualMeshQt.setWindowTitle(QtGui.QApplication.translate("qualMeshQt", "BASEmesh - Quality meshing", None, QtGui.QApplication.UnicodeUTF8))
        self.groupInput.setTitle(QtGui.QApplication.translate("qualMeshQt", "INPUT", None, QtGui.QApplication.UnicodeUTF8))
        self.groupCompulsory.setTitle(QtGui.QApplication.translate("qualMeshQt", "Compulsory layers", None, QtGui.QApplication.UnicodeUTF8))
        self.labelBoundary.setText(QtGui.QApplication.translate("qualMeshQt", "Model boundary", None, QtGui.QApplication.UnicodeUTF8))
        self.groupOptional.setTitle(QtGui.QApplication.translate("qualMeshQt", "Optional layers", None, QtGui.QApplication.UnicodeUTF8))
        self.breaklinesCheckBox.setText(QtGui.QApplication.translate("qualMeshQt", "Breaklines", None, QtGui.QApplication.UnicodeUTF8))
        self.breaklinesDivCheckBox.setText(QtGui.QApplication.translate("qualMeshQt", "dividing constraint", None, QtGui.QApplication.UnicodeUTF8))
        self.regionCheckBox.setText(QtGui.QApplication.translate("qualMeshQt", "Regions", None, QtGui.QApplication.UnicodeUTF8))
        self.areaCheckBox.setText(QtGui.QApplication.translate("qualMeshQt", "maximum area", None, QtGui.QApplication.UnicodeUTF8))
        self.materialCheckBox.setText(QtGui.QApplication.translate("qualMeshQt", "material index", None, QtGui.QApplication.UnicodeUTF8))
        self.holesCheckBox.setText(QtGui.QApplication.translate("qualMeshQt", "holes", None, QtGui.QApplication.UnicodeUTF8))
        self.verticesCheckBox.setText(QtGui.QApplication.translate("qualMeshQt", "Vertices", None, QtGui.QApplication.UnicodeUTF8))
        self.groupTriangle.setTitle(QtGui.QApplication.translate("qualMeshQt", "TRIANGLE parameters", None, QtGui.QApplication.UnicodeUTF8))
        self.triangleVerboseCheckBox.setText(QtGui.QApplication.translate("qualMeshQt", "-V (verbose): detailed statistics during mesh generation", None, QtGui.QApplication.UnicodeUTF8))
        self.triangleDelaunayCheckBox.setText(QtGui.QApplication.translate("qualMeshQt", "-D: Conforming Delaunay - insertion of Steiner points", None, QtGui.QApplication.UnicodeUTF8))
        self.triangleQualityCheckBox.setText(QtGui.QApplication.translate("qualMeshQt", "-q: Quality mesh generation using minimum triangle angle", None, QtGui.QApplication.UnicodeUTF8))
        self.labelMaxArea.setText(QtGui.QApplication.translate("qualMeshQt", "Minimum triangle angle [degrees]", None, QtGui.QApplication.UnicodeUTF8))
        self.triangleSteinerCheckBox.setText(QtGui.QApplication.translate("qualMeshQt", "-Y: Prohibits insertion of Steiner points on mesh boundary", None, QtGui.QApplication.UnicodeUTF8))
        self.expertCheckBox.setText(QtGui.QApplication.translate("qualMeshQt", "Expert options", None, QtGui.QApplication.UnicodeUTF8))
        self.snappingToleranceCheckBox.setText(QtGui.QApplication.translate("qualMeshQt", "Relative snapping tolerance", None, QtGui.QApplication.UnicodeUTF8))
        self.textStatusBox.setHtml(QtGui.QApplication.translate("qualMeshQt", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
"<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
"p, li { white-space: pre-wrap; }\n"
"</style></head><body style=\" font-family:\'Ubuntu\'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></span></p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.tabWidget_2.setTabText(self.tabWidget_2.indexOf(self.tab_3), QtGui.QApplication.translate("qualMeshQt", "Status messages", None, QtGui.QApplication.UnicodeUTF8))
        self.textBrowser.setHtml(QtGui.QApplication.translate("qualMeshQt", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
"<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
"p, li { white-space: pre-wrap; }\n"
"</style></head><body style=\" font-family:\'Ubuntu\'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:10pt; text-decoration: underline; color:#da9100;\">PURPOSE:</span></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">The specified model boundary is triangulated with specific quality criteria using the parameters provided for the mesh generator \'Triangle\'.</span></p>\n"
"<p align=\"justify\" style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:10pt; text-decoration: underline; color:#da9100;\">USAGE:</span></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">The shapefiles needed have to be loaded into the QGIS-project before executing this tool - It is not possible to select files directly on the hard drive by browsing. Futhermore, the files used for meshing must be activated in the QGIS table of contents on the left side of the screen. </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; text-decoration: underline;\">Only data that is displayed on the map can be used for meshing.</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> To prevent the selection of wrong shapetypes, the available fields are populated with the corresponding data type.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:10pt; text-decoration: underline;\"><br /></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt; text-decoration: underline;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; color:#0000ff;\">1.</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#0000ff;\"> </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">At first, the </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">Model boundary</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> has to be selected (compulsory): This polygon layer represents the area to be triangulated and doesn\'t have to be identical with the one used in the previous step \'elevation meshing\'. </span></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">For quality reasons, it is advisable to use a model boundary that is slightly smaler that the one used for elevation meshing. By this mean, interpolation errors at the model boundary can be avoided.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; color:#0000ff;\">2.</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\"> 4 types of optional input layer can be specified that will be respected by \'Triangle\' during the meshing process:</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">Breaklines</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">: polyline layer containing breaklines that will be preserved in the resulting mesh. An additional attribute can be set for each breakline. </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-style:italic;\">Dividing constraint</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> enforces a certain number of segments along a breakline. This is of major importance for the use of inner boundaries in BASEMENT, where an equal number of mesh elements at the uptream and downstream interface is required. If zero or no value is given, then Triangle is free to chose the number of segments. The regional attribute </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-style:italic;\">maximum area</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> (see below) is stronger than the </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-style:italic;\">dividing constraint</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">Regions:</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> point layer identifying regions that are embraced by line segments (breaklines or model boundary). Each region can have the following attributes</span></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">(1) </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-style:italic;\">maximum area</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">: maximum triangle area of elements belonging to that region</span></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">(2) </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-style:italic;\">material index</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">: index for elements belonging to that region (can be used to define e.g. friction, initial conditions, soils etc. in BASEMENT)</span></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">(3) </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-style:italic;\">holes</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">: elements belonging to a region with holes value larger than 1 will be neglected during meshing and therefore lead to a hole in the mesh. ATTENTION: uncareful definition of regions with holes will &quot;eat&quot; all elements in the mesh!</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; color:#000000;\">Vertices:</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\"> point layer representing specific spatial locations that will be preserved in the resulting mesh. These points could e.g. represent the location of measurement stations or other relevant entities which need to be exactly represented in the mesh.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; color:#0000ff;\">3.</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> \'Triangle\' offers a variety of command switches for influencing the result of the meshing process. The 4 most important parameters can be selected by activating or deactivating the corresponding checkboxes. For a detailed description of all triangle command switches, please refer to the following website: </span><a href=\"http://www.cs.cmu.edu/~quake/triangle.switch.html\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; text-decoration: underline; color:#0000ff;\">http://www.cs.cmu.edu/~quake/triangle.switch.html</span></a></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">- V</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">: verbose-mode. As in the \'elevation meshing\' - tool, this switch activates the generation of detailed statistics about the mesh generated. Those statistics wil be displayed in the status messages on the right side.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">- D </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">(checked by default): creation of conforming delaunay triangulations. By inserting additional mesh nodes ( so-called \'Steiner points\'), this option ensures that all mesh elements are truly delaunay. For more information, we recommend to visit Triangle\'s webpage </span><a href=\"http://www.cs.cmu.edu/~quake/triangle.defs.html#conform\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; text-decoration: underline; color:#0000ff;\">http://www.cs.cmu.edu/~quake/triangle.defs.html#conform</span></a><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">- q </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">(checked by default): quality mesh generation, where no element angles are smaller than a specified constraint. After activating this option, the default angle can be altered in the spin box below. </span></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">By default, this constraint is set to 28°, which means that no elements with angles smaller than 28 degrees are created. Therefore, a smaller value leads to a smaller number of elements in the mesh while a bigger value leads to a greater number of elements.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">- Y</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">: suppression of the creation of \'Steiner points\' (additional mesh nodes) at the exterior model boundary; interior additional mesh nodes may still be created. At various applications, it is advisable to coarsen computational meshes in direction of the model boundary. This option significantly reduces the number of elements in the resulting mesh and implies an iterative approach.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">Advanced users can also make use of the </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">Expert options</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">. After activating this option, advanced command switches for Triangle can be inserted in the corresponding text box.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">Different data sources (shape-files, ascii-files, Triangle output, manually added features) might have different floating point precisions. The </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">Relative snapping tolerance</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> defines how far two point coordinates may be located apart to still be considered at the same location. The default value is 10E-6. Increasing this tolerance can help to avoid problems due to improper snapping of vertices (line or polygon features) and points in OGIS.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; color:#0000ff;\">4. </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\">BASEmesh automatically inserts the name of the current project as prefix for the output files. After selecting the output location, the mesh generator &quot;Triangle&quot; is started by clicking on &quot;Generate </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">quality mesh&quot;. </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; color:#000000;\">D</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">uring the following process, relevant status messages are displayed on the right side of the tool window.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">The </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">triangulation results</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> are saved in two separate shapefiles and by default loaded into map canvas: </span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">- </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; font-style:italic;\">PROJECTNAME</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">_Quality_elements.shp</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> contains the resulting mesh elements as polygons. The element ID number and the IDs of the three adjacent nodes are saved in the file\'s attribute table.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">- </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600; font-style:italic;\">PROJECTNAME</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:600;\">_Quality_nodes.shp</span><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"> contains the mesh nodes and their coordinates as attributes.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">During meshing, \'Triangle\' creates temporary files in a local folder on the harddrive. By default, those files are deleted after mesh generation. To keep these files, uncheck the corresponding box at the bottom of the screen.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\"><br /></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:10pt; text-decoration: underline; color:#da9100;\">ADVICE:</span></p>\n"
"<p align=\"justify\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">The resulting mesh could be used for numerical applications, but doesn\'t comprise elevation information. If needed, those can be added using the tool \'Interpolation\' of this plugin. By default, the elevation of all mesh nodes is set to zero.</span></p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.tabWidget_2.setTabText(self.tabWidget_2.indexOf(self.tab_4), QtGui.QApplication.translate("qualMeshQt", "Help", None, QtGui.QApplication.UnicodeUTF8))
        self.groupOutput.setTitle(QtGui.QApplication.translate("qualMeshQt", "Shapefile OUTPUT", None, QtGui.QApplication.UnicodeUTF8))
        self.browseButton.setText(QtGui.QApplication.translate("qualMeshQt", "Browse", None, QtGui.QApplication.UnicodeUTF8))
        self.loadMeshPolygonCheckBox.setText(QtGui.QApplication.translate("qualMeshQt", "Load mesh polygon result file", None, QtGui.QApplication.UnicodeUTF8))
